const Parse = getApp().Parse;
function getDiyTabs() {
    return new Promise((reslove, reject) => {
        let query = new Parse.Query("DiyTabs");
        query.equalTo("company", getApp().globalData.company);
        query.first().then((res) => {
            let tabs = res.get("options").list;
            tabs.map((item, index) => {
                if (!item.open) {
                    tabs.splice(index, 1);
                }
            });
            getApp().globalData.defaultTabBar = res.get("options");
            let tabbarList = res.get("options").list
            reslove(tabbarList)
        });
    })

}

module.exports = {
    getDiyTabs: getDiyTabs
}
